package com.hai.openApi.service;

import com.hai.entity.ApiMerchants;
import com.hai.entity.ApiProduct;
import com.hai.openApi.model.ApiMobileProductModel;

import java.util.List;

/**
 * @serviceName ApiMobileRechargeProductService.java
 * @author Sum1Dream
 * @version 1.0.0
 * @Description // 话费产品业务
 * @createTime 11:36 2023/3/10
 **/
public interface ApiMobileRechargeProductService {


    /**
     * @Author Sum1Dream
     * @Name getMobileProductByList
     * @Description // 查询话费充值产品
     * @Date 11:35 2023/3/10
     * @Param []
     * @Return java.util.List<com.hai.openApi.model.ApiMobileProductModel>
     */
    List<ApiProduct> getApiProductByList();

    /**
     * @Author Sum1Dream
     * @Name findMobileProduct
     * @Description // 查询话费产品
     * @Date 11:36 2023/3/10
     * @Param [id]
     * @Return com.hai.entity.ApiProduct
     */
    ApiProduct findMobileProduct(Long id);

    /**
     * @Author Sum1Dream
     * @Name getMobileProductByList
     * @Description // 拼装话费产品
     * @Date 11:35 2023/3/10
     * @Param []
     * @Return java.util.List<com.hai.openApi.model.ApiMobileProductModel>
     */
    List<ApiMobileProductModel> getMobileProductByList(String mchId);
}
