package com.hai.order.service;

import com.hai.order.model.OrderCouponModel;
import com.hai.order.model.OrderIntegralRechargeModel;

import java.util.List;
import java.util.Map;

/**
 * 订单扩展服务
 * @className: OrderExtService
 * @author: HuRui
 * @date: 2022/8/26
 **/
public interface OrderServiceExt {

    /**
     * 用户购买卡券数量
     * @param userId
     * @param couponId
     * @return
     */
    int userBuyCouponNum(Long userId,Long couponId);

    /**
     * 查询卡券订单
     * @param param
     * @return
     */
    List<OrderCouponModel> getOrderCouponList(Map<String, Object> param) throws Exception;

    /**
     * 查询积分充值订单
     * @param param
     * @return
     */
    List<OrderIntegralRechargeModel> getOrderIntegralRechargeList(Map<String, Object> param) throws Exception;

}
