package com.hai.service;

import com.hai.entity.HighCouponHandsel;
import com.hai.model.HighCouponHandselModel;

import java.util.List;
import java.util.Map;

/**
 * @ClassName HighCouponHandselService
 * @Description: 赠送卡卷配置
 * @Author 胡锐
 * @Date 2021/3/16
 **/
public interface HighCouponHandselService {

    /**
     *
     * @Title: insertCouponHandsel
     * @Author 胡锐
     * @Description: 增加
     * @Date 11:02 2021/3/16
     * @Param [highCouponHandsel]
     * @return void
     **/
    void insertCouponHandsel(HighCouponHandsel highCouponHandsel);

    /**
     *
     * @Title: updateCouponHandsel
     * @Author 胡锐
     * @Description: 修改
     * @Date 11:04 2021/3/16
     * @Param [highCouponHandsel]
     * @return void
     **/
    void updateCouponHandsel(HighCouponHandsel highCouponHandsel);

    /**
     *
     * @Title: getCouponHandselById
     * @Author 胡锐
     * @Description: 根据id查询
     * @Date 11:06 2021/3/16
     * @Param [id]
     * @return com.hai.model.HighCouponHandselModel
     **/
    HighCouponHandselModel getCouponHandselById(Long id);

    /**
     *
     * @Title: getHandselListByCoupon
     * @Author 胡锐
     * @Description: 根据卡卷 查询赠送配置列表
     * @Date 14:18 2021/3/16
     * @Param [couponId]
     * @return java.util.List<com.hai.model.HighCouponHandselModel>
     **/
    List<HighCouponHandsel> getHandselListByCoupon(Long couponId);
}
